"use strict";

exports.__esModule = true;
exports.createShopifyClient = void 0;

var _graphqlRequest = require("graphql-request");

const createShopifyClient = ({
  shopName,
  shopifyAccessToken,
  apiVersion
}) => {
  let url;

  if (shopName.includes(`.`)) {
    url = `https://${shopName}/api/${apiVersion}/graphql.json`;
  } else {
    url = `https://${shopName}.myshopify.com/api/${apiVersion}/graphql.json`;
  }

  return new _graphqlRequest.GraphQLClient(url, {
    headers: {
      "X-Shopify-Storefront-Access-Token": shopifyAccessToken
    }
  });
};

exports.createShopifyClient = createShopifyClient;